Skip to content

Register a notification endpoint

POST/v1/notifications/endpoints

Up to three per account. Standard returns a generated secret once; other profiles require a token that is never returned. The URL is sensitive. A lost registration response requires removal and re-registration.

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/notifications/endpoints" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "string",
    "profile": {
      "kind": "standard"
    }
  }'
{
  "endpoint": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
    "url": "string",
    "profile": {
      "kind": "standard"
    },
    "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
    "createdAt": "2019-08-24T14:15:22Z",
    "disabledAt": "2019-08-24T14:15:22Z",
    "lastAttemptAt": "2019-08-24T14:15:22Z",
    "lastSuccessAt": "2019-08-24T14:15:22Z",
    "lastError": "invalid_target"
  },
  "secret": "string"
}